Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.datatransfer
Class Clipboard

    java.lang.Object
      |
      +--java.awt.datatransfer.Clipboard

public class Clipboard
extends Object

A class which implements a mechanism to transfer data using cut/copy/paste operations.

See Also:
  `Toolkit.getSystemClipboard()`

Field Summary
`protected Transferable` | `contents`
`protected ClipboardOwner` | `owner`

Constructor Summary
`Clipboard(String name)` Creates a clipboard object.

Method Summary
`Transferable` | `getContents(Object requestor)` Returns a transferable object representing the current contents of the clipboard.
`String` | `getName()` Returns the name of this clipboard object.
`void` | `setContents(Transferable contents, ClipboardOwner owner)` Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    protected ClipboardOwner owner

### contents

    protected Transferable contents

Constructor Detail

### Clipboard

    public Clipboard(String name)

  Creates a clipboard object.

See Also:
  `Toolkit.getSystemClipboard()`

Method Detail

### getName

    public String getName()

  Returns the name of this clipboard object.

  See Also:
    `Toolkit.getSystemClipboard()`

### setContents

    public void setContents(Transferable contents,
                            ClipboardOwner owner)

  Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents. If there is an existing owner registered, that owner is notified that it no longer holds ownership of the clipboard contents. The method throws `IllegalStateException` if the clipboard is currently unavailable. For example, on some platforms, the system clipboard is unavailable while it is accessed by another application.

  Parameters:
    `owner` - the object which owns the clipboard content
  Throws:
    `IllegalStateException` - if the clipboard is currently unavailable
  See Also:
    `Toolkit.getSystemClipboard()`

### getContents

    public Transferable getContents(Object requestor)

  Returns a transferable object representing the current contents of the clipboard. If the clipboard currently has no contents, it returns `null`. The parameter Object requestor is not currently used. The method throws `IllegalStateException` if the clipboard is currently unavailable. For example, on some platforms, the system clipboard is unavailable while it is accessed by another application.

  Parameters:
    `requestor` - the object requesting the clip data (not used)
  Returns:
    the current transferable object on the clipboard
  Throws:
    `IllegalStateException` - if the clipboard is currently unavailable
  See Also:
    `Toolkit.getSystemClipboard()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.